#ifndef _DLL_H_
#define _DLL_H_


struct PortMap_t
{
	int PortMappingEnabled;
	long int PortMappingLeaseDuration;
	char *RemoteHost;
	char *ExternalIP;
	int ExternalPort;
	int InternalPort;
	char *Protocol;
	char *InternalClient;
	char *PortMappingDescription;
};


typedef struct dll
		 {
		 struct PortMap_t data;
		 struct dll *llink,*rlink;
		 }*DLL;

/* Allocate a block of memory for node , and return a pointer to the node */
DLL AllocNode(void);

/* search according the index we give, and return a node ptr */
DLL Search(int index);

/* Append the node to the tail of the list */
void Append(DLL node);

/* delete node by value */
void DeleteNode(DLL node);

/* calculate the length of link length */
int LinkLength(void);

/* print single linked list data */
void print_node(DLL node);
/* print all linked list data */
int print_link(void);

#endif
