# We need include diff.mk for we want to add some marco to CFLAGS
CWD :=$(shell /bin/pwd)
#include $(TOPDIR)/diff.mk
#---------------------------------------------------
#                COMPILE OPTIONS
#---------------------------------------------------
# You should NOT use ':=' for we should not expand this variable until we use it.
#ECHO_CMD         =  echo $@;
#CROSS_COMPILE   :=  armeb-linux-

#CC               =  $(ECHO_CMD)$(CROSS_COMPILE)gcc -mbig-endian
#CPP             :=  $(CROSS_COMPILE)cpp
#LD              :=  $(CROSS_COMPILE)ld
#AS              :=  $(CROSS_COMPILE)as
#AR              :=  $(CROSS_COMPILE)ar
#STRIP           :=  $(CROSS_COMPILE)strip
#RANLIB          :=  $(CROSS_COMPILE)ranlib
#OBJCOPY         :=  $(CROSS_COMPILE)objcopy
#OBJDUMP         :=  $(CROSS_COMPILE)objdump

export CC CPP LD AS AR STRIP RANLIB OBJCOPY OBJDUMP

#---------------------------------------------------
# CFLAGS
#---------------------------------------------------

#---------------------------------------------------
# Globe functinos define
#---------------------------------------------------
ifeq ($(NO_PRINTER), 1)
    CFLAGS  +=      -DNO_PRINTER
else
    ifeq ($(USB_PRINTER), 1)
	CFLAGS +=   -DUSB_PRINTER
    endif
    ifeq ($(PARELLEL_PRINTER), 1)
	CFLAGS +=   -DPARAELLEL_PRINTER
    endif
endif
ifeq ($(_QUOTA_), 1)
    CFLAGS  +=      -D_QUOTA_
endif
ifeq ($(_FTP_), 1)
    CFLAGS  +=      -D_FTP_
endif

#---------------------------------------------------
# We should warning all messages
#---------------------------------------------------
CFLAGS          +=  -Wall

#---------------------------------------------------
# We use this flags to build depence files which extend filename is ".d"
#---------------------------------------------------
CFLAGS          +=  -MD

CFLAGS          +=  -DEMBED -O2 -I /opt/mvista/xscale_be/target/usr/include

#---------------------------------------------------
#                KERNEL PATH
#---------------------------------------------------
K_PATH          := $(TOPDIR)/../linux-2.4.20_mvl31
K_INC_PATH      := $(K_PATH)/include

#---------------------------------------------------
#                COMMON PATH
#---------------------------------------------------
COMM_LIB_PATH   := $(TOPDIR)/libnv
COMM_INC_PATH   := $(TOPDIR)/include 
#DESTLIB          := $(COMM_LIB_PATH)
#---------------------------------------------------
#                TARGET PATH
#---------------------------------------------------

# RAMDISK path
RAMDISK_DIR     :=  $(TOPDIR)/../romfs#ramdisk

# Target path
T_SBIN          := $(RAMDISK_DIR)/sbin
T_BIN           := $(RAMDISK_DIR)/bin
T_USBIN         := $(RAMDISK_DIR)/usr/sbin
T_UBIN          := $(RAMDISK_DIR)/usr/bin


T_ETC           := $(RAMDISK_DIR)/etc
T_HOME          := $(RAMDISK_DIR)/home

T_LIB           := $(RAMDISK_DIR)/lib

T_SHARE         := $(RAMDISK_DIR)/share


